curl --request POST \
--url https://api.coldsend.pro/api/public/v1/sender-accounts/coldsend-native/bulk \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inboxes": [
{
"email_prefix": "<string>",
"display_name": "<string>"
}
]
}
'import requests
url = "https://api.coldsend.pro/api/public/v1/sender-accounts/coldsend-native/bulk"
payload = {
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inboxes": [
{
"email_prefix": "<string>",
"display_name": "<string>"
}
]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
domain_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
inboxes: [{email_prefix: '<string>', display_name: '<string>'}]
})
};
fetch('https://api.coldsend.pro/api/public/v1/sender-accounts/coldsend-native/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coldsend.pro/api/public/v1/sender-accounts/coldsend-native/bulk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'domain_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'inboxes' => [
[
'email_prefix' => '<string>',
'display_name' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.coldsend.pro/api/public/v1/sender-accounts/coldsend-native/bulk"
payload := strings.NewReader("{\n \"domain_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"inboxes\": [\n {\n \"email_prefix\": \"<string>\",\n \"display_name\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.coldsend.pro/api/public/v1/sender-accounts/coldsend-native/bulk")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"domain_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"inboxes\": [\n {\n \"email_prefix\": \"<string>\",\n \"display_name\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coldsend.pro/api/public/v1/sender-accounts/coldsend-native/bulk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"domain_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"inboxes\": [\n {\n \"email_prefix\": \"<string>\",\n \"display_name\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_name": "<string>",
"total": 123,
"progress_url": "<string>",
"success_count": 0,
"failed_count": 0,
"skipped_count": 0,
"results": [
{
"email_prefix": "<string>",
"display_name": "<string>",
"status": "<string>",
"email_address": "<string>",
"inbox_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error_message": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Add multiple ColdSend native inboxes
Bulk create ColdSend managed email inboxes
Create multiple email inboxes in a single request (max 100). Useful for setting up multiple sending addresses for different purposes.
Important Notes
- All inboxes must be on the same domain
- This is an async operation — inboxes are created via background tasks
- The response includes a
job_idandprogress_urlfor tracking - Poll
GET /sender-accounts/coldsend-native/bulk/{job_id}/progressfor real-time results - The initial response will always have
success_count: 0,results: [] - Maximum of 100 inboxes per request
curl --request POST \
--url https://api.coldsend.pro/api/public/v1/sender-accounts/coldsend-native/bulk \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inboxes": [
{
"email_prefix": "<string>",
"display_name": "<string>"
}
]
}
'import requests
url = "https://api.coldsend.pro/api/public/v1/sender-accounts/coldsend-native/bulk"
payload = {
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inboxes": [
{
"email_prefix": "<string>",
"display_name": "<string>"
}
]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
domain_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
inboxes: [{email_prefix: '<string>', display_name: '<string>'}]
})
};
fetch('https://api.coldsend.pro/api/public/v1/sender-accounts/coldsend-native/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coldsend.pro/api/public/v1/sender-accounts/coldsend-native/bulk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'domain_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'inboxes' => [
[
'email_prefix' => '<string>',
'display_name' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.coldsend.pro/api/public/v1/sender-accounts/coldsend-native/bulk"
payload := strings.NewReader("{\n \"domain_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"inboxes\": [\n {\n \"email_prefix\": \"<string>\",\n \"display_name\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.coldsend.pro/api/public/v1/sender-accounts/coldsend-native/bulk")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"domain_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"inboxes\": [\n {\n \"email_prefix\": \"<string>\",\n \"display_name\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coldsend.pro/api/public/v1/sender-accounts/coldsend-native/bulk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"domain_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"inboxes\": [\n {\n \"email_prefix\": \"<string>\",\n \"display_name\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_name": "<string>",
"total": 123,
"progress_url": "<string>",
"success_count": 0,
"failed_count": 0,
"skipped_count": 0,
"results": [
{
"email_prefix": "<string>",
"display_name": "<string>",
"status": "<string>",
"email_address": "<string>",
"inbox_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error_message": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
API key with format cs_live_xxx
Body
Response
Bulk creation initiated successfully
Response for bulk ColdSend inbox creation.
This is an async operation. Inboxes are created via background tasks.
The success_count, failed_count, and results fields will
always be zero/empty in this response — poll the progress endpoint
to get real-time results.
Unique job ID for tracking creation progress
Domain ID
Domain name
Total inboxes in request
URL to poll for creation progress
Always 0 in initial response — poll progress endpoint for results
Always 0 in initial response — poll progress endpoint for results
Always 0 in initial response — poll progress endpoint for results
Always empty in initial response — poll progress endpoint for per-inbox results
Show child attributes
Show child attributes
Was this page helpful?

